Subject: RE: [Sip] Interaction RFC3262 and Record-Route header included in 18xresponse

From: Hongchang Tian <[email-masked]>
Date: Tue, 1 Apr 2003 12:13:08 -0500

Another concern is the CSeq sequence number IN CSeq Hdr field for PRACK.

1).  According to RFC3261 (12.2.1.1, requests within a dialog MUST contain 
strictly monotonically increasing and contiguous CSeq sequence numbers
(increasing-by-one)
in each direction (excepting ACK and CANCEL of course, whose numbers equal
the requests 
being acknowledged or cancelled).  

2).  RFC3262 doesn't address the CSeq Hdr field for PRACK.

3).  Personally I think it makes sense for PRACK to follow the ACK rule
regarding
the CSeq sequence numbers (the same as the initial request.

Any comment about the above?

Cheers,

Hongchang Tian
Software Designer
Tel:  613-592-2100 x3266
Fax: 613-592-9634

SS8 Networks, Inc.
495 March Road
Kanata ON K2K 3G1
[email-masked]
www.SS8.com

Notice to Recipient:  This e-mail is meant only for the intended
recipient(s) of the transmission, and contains confidential information,
which is proprietary to SS8 Networks, Inc.  Any unauthorized use, copying,
distribution, or dissemination is strictly prohibited.   All rights to this
information is reserved by SS8 Networks, Inc.  If you are not the intended
recipient, please contact the sender by reply e-mail and please delete this
e-mail from your system and destroy any copies.  

-----Original Message-----
From: Takuya Sawada [mailto:[email-masked]]
Sent: Friday, February 28, 2003 7:33 AM
To: [email-masked]; [email-masked]
Subject: Re: [Sip] Interaction RFC3262 and Record-Route header included
in 18xresponse

Hello,

I think you are correct, as described in RFCs.

- CANCEL and ACK for non-2xx are related to (INVITE) TRANSACTION.
- PRACK is related to (early) DIALOG (established by INVITE).
That is why they are different.

Note that ACK for 2xx is constructed as PRACK except that it
uses routing information from 2xx not from reliable 18x.

Regards,
Takuya Sawada

> Dear all,
> 
> I would like to clarify when we use PRACK and Record-Route header for 18x
> response.
> 
> Consider the following scenario. The UAC receives 18x response with
> Record-Route header, and route set and remote target are updated based on
> section 12.1.2 of RFC3261:
> 
> UAC           Proxy
> ----INVITE---->
> <--- 18x  ----- w/ Record-Route header
> ---- PRACK ---> 
> 
> 
> ---
> Question 1)
> 
> When the UAC construct PRACK, it MUST follow the procedure described in
> section 12.2.1.1 of RFC3261, and Request-URI should be changed to the
remote
> target, and also Route header should be included.
> 
> Is that correct?
> 
> 
> ---
> Question 2)
> 
> In case the UAC try to cancel the call:
> 
> UAC           Proxy
> ----INVITE---->
> <--- 18x  ----- w/ Record-Route header
> ---- PRACK ---> 
> <--- 200 OK----
> 
> ----CANCEL----> 
> <--- 200 OK----
> 
> <--- 487 ------
> ---- ACK ----->
> 
> 
> When the UAC construct CANCEL, as described in section 9.1 of RFC3261, it
> MUST use the same Request-URI as in the original INVITE. It means that the
> UAC MUST NOT use route set and remote target information received already
in
> Record-Route header.
> 
> Is that correct? 
> 
> ---
> 
> Question 3) 
> 
> In the scenario described in Question 2), the UAC finally sends ACK after
> receiving 487 response.
> 
> When the UAC construct ACK, as described in section 17.1.1.3 of RFC3261,
it
> MUST use the same Request-URI as in the original INVITE. It means that the
> UAC MUST NOT use route set and remote target information received already
in
> Record-Route header.
> 
> Is that correct? 
> 
> ---
> 
> Thank you very much for your assistance.
> 
> Regards,
> - Eiji Tomimura
> 
> 
> 
> -- 
> Eiji Tomimura 
> Senior Engineer 
> Systems Technology Dept., Information Technology R&D Laboratories
> Sumitomo Electric Industries, Ltd.
> Phone: +81-6-6466-5632  Fax: +81-6-6462-4586  Email: [email-masked]
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

--------
Takuya Sawada
KDDI Corporation (KDDI)
KDDI Bldg. 2-3-2 Nishishinjuku Shinjuku-ku, 
Tokyo 163-8003, Japan
Tel: +81-3-3347-7406
Fax: +81-3-3347-7418
[email-masked]
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 2 Apr 2003 10:52:17 +0300

PRACK is a request within a dialog.

Regards,
Hisham

> From: ext Hongchang Tian [mailto:[email-masked]]
> Sent: Tuesday, April 01, 2003 8:13 PM
> To: 'Takuya Sawada'; [email-masked]; [email-masked]
> Subject: RE: [Sip] Interaction RFC3262 and Record-Route 
> header included
> in 18xresponse
> 
>